<?xml version="1.0" encoding="UTF-8"?>
<!--Plantilla 3 para trasnformación, proceso timbrado con PAC:: By: Daniel Herrera Telo Ultima actualización 05/03/2013 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cfdi="http://www.sat.gob.mx/cfd/3" xmlns:detallista="http://www.sat.gob.mx/detallista" xmlns:donat="http://www.sat.gob.mx/donat" xmlns:divisas="http://www.sat.gob.mx/divisas" xmlns:implocal="http://www.sat.gob.mx/implocal" xmlns:iedu="http://www.sat.gob.mx/iedu" xmlns:terceros="http://www.sat.gob.mx/terceros">
<xsl:output method="html" encoding="UTF-8"/>
<xsl:template match="/"><xsl:apply-templates select="/cfdi:Comprobante"/></xsl:template>
<xsl:template match="cfdi:Comprobante">
<xsl:element name="emitirCFD" xmlns="http://namespace.pegasotecnologia.com/SCFD">
	<xsl:element name="PoRequestCFD">
	<xsl:element name="RequestCFD">
		<xsl:attribute name="version">3.2</xsl:attribute>
		<xsl:element name="Comprobante">
			<!-- Iniciamos el tratamiento de los atributos de comprobante -->
			<xsl:attribute name="version">
				<xsl:value-of select="@version"/>
			</xsl:attribute>
			<xsl:if test="/@serie !=''">
				<xsl:attribute name="serie">
					<xsl:value-of select="@serie"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="@folio !=''">
				<xsl:attribute name="folio">
					<xsl:value-of select="@folio"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="@fecha !=''">
				<xsl:attribute name="fecha">
					<xsl:value-of select="@fecha"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="formaDePago">
				<xsl:value-of select="@formaDePago"/>
			</xsl:attribute>
			<xsl:if test="@condicionesDePago !=''">
				<xsl:attribute name="condicionesDePago">
					<xsl:value-of select="@condicionesDePago"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="subTotal">
				<xsl:value-of select="@subTotal"/>
			</xsl:attribute>
			<xsl:if test="@descuento !=''">
				<xsl:attribute name="descuento">
					<xsl:value-of select="@descuento"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="@motivoDescuento !=''">
				<xsl:attribute name="motivoDescuento">
					<xsl:value-of select="@motivoDescuento"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="@TipoCambio !=''">
				<xsl:attribute name="TipoCambio">
					<xsl:value-of select="@TipoCambio"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="@Moneda !=''">
				<xsl:attribute name="Moneda">
					<xsl:value-of select="@Moneda"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="total">
				<xsl:value-of select="@total"/>
			</xsl:attribute>
			<xsl:if test="@metodoDePago !=''">
				<xsl:attribute name="metodoDePago">
					<xsl:value-of select="@metodoDePago"/>
				</xsl:attribute>
			</xsl:if>
			<!--Llamadas para procesar al los sub nodos del comprobante-->
			<!-- Manejador de nodos tipo Emisor -->
			<xsl:element name="Emisor">
				<xsl:attribute name="rfc"><xsl:value-of select="./cfdi:Emisor/@rfc"/></xsl:attribute>
				<xsl:if test="./cfdi:Emisor/cfdi:ExpedidoEn">
					<xsl:element name="ExpedidoEn">
						<xsl:call-template name="Domicilio">
							<xsl:with-param name="Nodo" select="./cfdi:Emisor/cfdi:ExpedidoEn"/>
						</xsl:call-template>
					</xsl:element>
				</xsl:if>
				<xsl:element name="RegimenFiscal">
					<xsl:attribute name="Regimen">
						<xsl:value-of select="./cfdi:Emisor/cfdi:RegimenFiscal/@Regimen"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:element>
			<!-- Manejador de nodos tipo Receptor -->
			<xsl:element name="Receptor">
				<xsl:attribute name="rfc"><xsl:value-of select="./cfdi:Receptor/@rfc"/></xsl:attribute>
				<xsl:if test="./cfdi:Receptor/@nombre !=''">
					<xsl:attribute name="nombre"><xsl:value-of select="./cfdi:Receptor/@nombre"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="./cfdi:Receptor/cfdi:Domicilio">
					<xsl:element name="Domicilio">
						<xsl:call-template name="Domicilio">
							<xsl:with-param name="Nodo" select="./cfdi:Receptor/cfdi:Domicilio"/>
						</xsl:call-template>
					</xsl:element>
				</xsl:if>
			</xsl:element>
			<!-- Manejador de nodos tipo Conceptos -->
			<xsl:element name="Conceptos">
				<xsl:for-each select="./cfdi:Conceptos/cfdi:Concepto">
					<xsl:element name="Concepto">
						<xsl:attribute name="cantidad"><xsl:value-of select="@cantidad"/></xsl:attribute>
						<xsl:attribute name="unidad"><xsl:value-of select="@unidad"/></xsl:attribute>
						<xsl:if test="@noIdentificacion !=''">
							<xsl:attribute name="noIdentificacion"><xsl:value-of select="@noIdentificacion"/></xsl:attribute>
						</xsl:if>
						<xsl:attribute name="descripcion"><xsl:value-of select="@descripcion"/></xsl:attribute>
						<xsl:attribute name="valorUnitario"><xsl:value-of select="@valorUnitario"/></xsl:attribute>
						<xsl:attribute name="importe"><xsl:value-of select="@importe"/></xsl:attribute>
						<xsl:for-each select="./cfdi:InformacionAduanera">
							<xsl:element name="InformacionAduanera">
								<xsl:attribute name="numero"><xsl:value-of select="@numero"/></xsl:attribute>
								<xsl:attribute name="fecha"><xsl:value-of select="@fecha"/></xsl:attribute>
								<xsl:attribute name="aduana"><xsl:value-of select="@aduana"/></xsl:attribute>
							</xsl:element>
						</xsl:for-each>
						<xsl:for-each select="./cfdi:Parte">
							<xsl:element name="Parte">
								<xsl:attribute name="cantidad"><xsl:value-of select="@cantidad"/></xsl:attribute>
								<xsl:if test="@unidad">
									<xsl:attribute name="unidad"><xsl:value-of select="@unidad"/></xsl:attribute>
								</xsl:if>
								<xsl:if test="@noIdentificacion">
									<xsl:attribute name="noIdentificacion"><xsl:value-of select="@noIdentificacion"/></xsl:attribute>
								</xsl:if>
								<xsl:attribute name="descripcion"><xsl:value-of select="@descripcion"/></xsl:attribute>
								<xsl:if test="@valorUnitario">
									<xsl:attribute name="valorUnitario"><xsl:value-of select="@valorUnitario"/></xsl:attribute>
								</xsl:if>
								<xsl:if test="@importe">
									<xsl:attribute name="importe"><xsl:value-of select="@importe"/></xsl:attribute>
								</xsl:if>
								<xsl:for-each select="./cfdi:InformacionAduanera">
									<xsl:element name="InformacionAduanera">
										<xsl:attribute name="numero"><xsl:value-of select="@numero"/></xsl:attribute>
										<xsl:attribute name="fecha"><xsl:value-of select="@fecha"/></xsl:attribute>
										<xsl:attribute name="aduana"><xsl:value-of select="@aduana"/></xsl:attribute>
									</xsl:element>
								</xsl:for-each>
							</xsl:element>
						</xsl:for-each>
						<!-- Complemento Concepto IEDU-->
						<xsl:if test="./cfdi:ComplementoConcepto/iedu:instEducativas">
							<xsl:element name="ComplementoConcepto">
								<xsl:element name="instEducativas">
									<xsl:copy-of select="./cfdi:ComplementoConcepto/iedu:instEducativas/@version"/>
									<xsl:copy-of select="./cfdi:ComplementoConcepto/iedu:instEducativas/@nombreAlumno"/>
									<xsl:copy-of select="./cfdi:ComplementoConcepto/iedu:instEducativas/@CURP"/>
									<xsl:copy-of select="./cfdi:ComplementoConcepto/iedu:instEducativas/@nivelEducativo"/>
									<xsl:copy-of select="./cfdi:ComplementoConcepto/iedu:instEducativas/@autRVOE"/>
									<xsl:copy-of select="./cfdi:ComplementoConcepto/iedu:instEducativas/@rfcPago"/>
								</xsl:element>
							</xsl:element>
						</xsl:if>
						<!-- Complemento Concepto IEDU-->
						<xsl:if test="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros">
							<xsl:element name="ComplementoConcepto">
								<xsl:element name="PorCuentadeTerceros">
									<xsl:copy-of select="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros/@*"/>
									<xsl:if test="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros/terceros:InformacionFiscalTercero">
										<xsl:element name="InformacionFiscalTercero">
											<xsl:copy-of select="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros/terceros:InformacionFiscalTercero/@*"/>
										</xsl:element>
									</xsl:if>
									<xsl:element name="Impuestos">
										<xsl:if test="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros/terceros:Impuestos/terceros:Retenciones">
											<xsl:element name="Retenciones">
												<xsl:for-each select="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros/terceros:Impuestos/terceros:Retenciones/terceros:Retencion">
													<xsl:element name="Retencion">
														<xsl:copy-of select="@*"/>
													</xsl:element>
												</xsl:for-each>
											</xsl:element>
										</xsl:if>
										<xsl:if test="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros/terceros:Impuestos/terceros:Traslados">
											<xsl:element name="Traslados">
												<xsl:for-each select="./cfdi:ComplementoConcepto/terceros:PorCuentadeTerceros/terceros:Impuestos/terceros:Traslados/terceros:Traslado">
													<xsl:element name="Traslado">
														<xsl:copy-of select="@*"/>
													</xsl:element>
												</xsl:for-each>
											</xsl:element>
										</xsl:if>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:if>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
			<!-- Manejador de nodos tipo Impuestos -->
			<xsl:if test="./cfdi:Impuestos">
				<xsl:element name="Impuestos">
					<xsl:if test="./cfdi:Impuestos/@totalImpuestosRetenidos">
						<xsl:attribute name="totalImpuestosRetenidos"><xsl:value-of select="./cfdi:Impuestos/@totalImpuestosRetenidos"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./cfdi:Impuestos/@totalImpuestosTrasladados">
						<xsl:attribute name="totalImpuestosTrasladados"><xsl:value-of select="./cfdi:Impuestos/@totalImpuestosTrasladados"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./cfdi:Impuestos/cfdi:Retenciones">
						<xsl:element name="Retenciones">
							<xsl:for-each select="./cfdi:Impuestos/cfdi:Retenciones/cfdi:Retencion">
								<xsl:element name="Retencion">
									<xsl:attribute name="impuesto"><xsl:value-of select="@impuesto"/></xsl:attribute>
									<xsl:attribute name="importe"><xsl:value-of select="@importe"/></xsl:attribute>
								</xsl:element>
							</xsl:for-each>
						</xsl:element>
					</xsl:if>
					<xsl:if test="./cfdi:Impuestos/cfdi:Traslados">
						<xsl:element name="Traslados">
							<xsl:for-each select="./cfdi:Impuestos/cfdi:Traslados/cfdi:Traslado">
								<xsl:element name="Traslado">
									<xsl:attribute name="impuesto"><xsl:value-of select="@impuesto"/></xsl:attribute>
									<xsl:attribute name="tasa"><xsl:value-of select="@tasa"/></xsl:attribute>
									<xsl:attribute name="importe"><xsl:value-of select="@importe"/></xsl:attribute>
								</xsl:element>
							</xsl:for-each>
						</xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:if>
			<!-- Manejo Complementos -->
			<!-- Complemento Detallista -->
			<xsl:if test="./cfdi:Complemento/detallista:detallista">
				<xsl:element name="Complemento">
					<xsl:for-each select="./cfdi:Complemento/detallista:detallista">
						<xsl:element name="detallista">
							<xsl:attribute name="type">
								<xsl:value-of select="@type"/>
							</xsl:attribute>
							<xsl:attribute name="contentVersion">
								<xsl:value-of select="@contentVersion"/>
							</xsl:attribute>
							<xsl:attribute name="documentStructureVersion">
								<xsl:value-of select="@documentStructureVersion"/>
							</xsl:attribute>
							<xsl:attribute name="documentStatus">
								<xsl:value-of select="@documentStatus"/>
							</xsl:attribute>
							<xsl:element name="requestForPaymentIdentification">
								<xsl:element name="entityType">
									<xsl:value-of select="./detallista:requestForPaymentIdentification/detallista:entityType"/>
								</xsl:element>
							</xsl:element>
							<xsl:for-each select="./detallista:specialInstruction">
								<xsl:element name="specialInstruction">
									<xsl:attribute name="code">
										<xsl:value-of select="@code"/>
									</xsl:attribute>
									<xsl:for-each select="./detallista:text">
										<xsl:element name="text">
											<xsl:value-of select="."/>
										</xsl:element>
									</xsl:for-each>
								</xsl:element>
							</xsl:for-each>
							<xsl:element name="orderIdentification">
								<xsl:element name="referenceIdentification">
									<xsl:attribute name="type">
										<xsl:value-of select="./detallista:orderIdentification/detallista:referenceIdentification/@type"/>
									</xsl:attribute>
									<xsl:value-of select="./detallista:orderIdentification/detallista:referenceIdentification"/>
								</xsl:element>
								<xsl:if test="./detallista:orderIdentification/detallista:ReferenceDate">
									<xsl:element name="ReferenceDate">
										<xsl:value-of select="./detallista:orderIdentification/detallista:ReferenceDate"/>
									</xsl:element>
								</xsl:if>
							</xsl:element>
							<xsl:element name="AdditionalInformation">
								<xsl:for-each select="./detallista:AdditionalInformation/detallista:referenceIdentification">
									<xsl:element name="referenceIdentification">
										<xsl:attribute name="type">
											<xsl:value-of select="@type"/>
										</xsl:attribute>
									</xsl:element>
								</xsl:for-each>
							</xsl:element>
							<xsl:if test="./detallista:DeliveryNote">
								<xsl:element name="DeliveryNote">
									<xsl:for-each select="./detallista:DeliveryNote/detallista:referenceIdentification">
										<xsl:element name="referenceIdentification">
											<xsl:value-of select="."/>
										</xsl:element>
									</xsl:for-each>
									<xsl:if test="./detallista:DeliveryNote/detallista:ReferenceDate">
										<xsl:element name="ReferenceDate">
											<xsl:value-of select="./detallista:DeliveryNote/detallista:ReferenceDate"/>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:if>
							<xsl:element name="buyer">
								<xsl:element name="gln">
									<xsl:value-of select="./detallista:buyer/detallista:gln"/>
								</xsl:element>
								<xsl:if test="./detallista:buyer/detallista:contactInformation">
									<xsl:element name="contactInformation">
										<xsl:element name="personOrDepartmentName">
											<xsl:element name="text">
												<xsl:value-of select="./detallista:buyer/detallista:contactInformation/detallista:personOrDepartmentName/detallista:text"/>
											</xsl:element>
										</xsl:element>
									</xsl:element>
								</xsl:if>
							</xsl:element>
							<xsl:if test="./detallista:seller">
								<xsl:element name="seller">
									<xsl:element name="gln">
										<xsl:value-of select="./detallista:seller/detallista:gln"/>
									</xsl:element>
									<xsl:element name="alternatePartyIdentification">
										<xsl:attribute name="type">
											<xsl:value-of select="./detallista:seller/detallista:alternatePartyIdentification/@type"/>
										</xsl:attribute>
									</xsl:element>
								</xsl:element>
							</xsl:if>
							<xsl:if test="./detallista:shipTo">
								<xsl:element name="shipTo">
									<xsl:if test="./detallista:shipTo/detallista:gln">
										<xsl:element name="gln">
											<xsl:value-of select="./detallista:shipTo/detallista:gln"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="./detallista:shipTo/detallista:nameAndAddress">
										<xsl:element name="nameAndAddress">
											<xsl:if test="./detallista:shipTo/detallista:nameAndAddress/detallista:name">
												<xsl:element name="name">
													<xsl:value-of select="./detallista:shipTo/detallista:nameAndAddress/detallista:name"/>
												</xsl:element>
											</xsl:if>
											<xsl:if test="./detallista:shipTo/detallista:nameAndAddress/detallista:streetAddressOne">
												<xsl:element name="streetAddressOne">
													<xsl:value-of select="./detallista:shipTo/detallista:nameAndAddress/detallista:streetAddressOne"/>
												</xsl:element>
											</xsl:if>
											<xsl:if test="./detallista:shipTo/detallista:nameAndAddress/detallista:city">
												<xsl:element name="city">
													<xsl:value-of select="./detallista:shipTo/detallista:nameAndAddress/detallista:city"/>
												</xsl:element>
											</xsl:if>
											<xsl:if test="./detallista:shipTo/detallista:nameAndAddress/detallista:postalCode">
												<xsl:element name="postalCode">
													<xsl:value-of select="./detallista:shipTo/detallista:nameAndAddress/detallista:postalCode"/>
												</xsl:element>
											</xsl:if>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:if>
							<xsl:if test="./detallista:InvoiceCreator">
								<xsl:element name="InvoiceCreator">
									<xsl:if test="./detallista:InvoiceCreator/detallista:gln">
										<xsl:element name="gln">
											<xsl:value-of select="./detallista:InvoiceCreator/detallista:gln"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="./detallista:InvoiceCreator/detallista:alternatePartyIdentification">
										<xsl:element name="alternatePartyIdentification">
											<xsl:attribute name="type">
												<xsl:value-of select="./detallista:InvoiceCreator/detallista:alternatePartyIdentification/@type"/>
											</xsl:attribute>
										</xsl:element>
									</xsl:if>
									<xsl:if test="./detallista:InvoiceCreator/detallista:nameAndAddress">
										<xsl:element name="nameAndAddress">
											<xsl:if test="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:name">
												<xsl:element name="name">
													<xsl:value-of select="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:name"/>
												</xsl:element>
											</xsl:if>
											<xsl:if test="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:streetAddressOne">
												<xsl:element name="streetAddressOne">
													<xsl:value-of select="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:streetAddressOne"/>
												</xsl:element>
											</xsl:if>
											<xsl:if test="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:city">
												<xsl:element name="city">
													<xsl:value-of select="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:city"/>
												</xsl:element>
											</xsl:if>
											<xsl:if test="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:postalCode">
												<xsl:element name="postalCode">
													<xsl:value-of select="./detallista:InvoiceCreator/detallista:nameAndAddress/detallista:postalCode"/>
												</xsl:element>
											</xsl:if>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:if>
							<xsl:for-each select="./detallista:Customs">
								<xsl:element name="Customs">
									<xsl:if test="./detallista:gln">
										<xsl:element name="gln">
											<xsl:value-of select="./detallista:gln"/>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:for-each>
							<xsl:for-each select="./detallista:currency">
								<xsl:element name="currency">
									<xsl:attribute name="currencyISOCode">
										<xsl:value-of select="@currencyISOCode"/>
									</xsl:attribute>
									<xsl:for-each select="./detallista:currencyFunction">
										<xsl:element name="currencyFunction">
											<xsl:value-of select="."/>
										</xsl:element>
									</xsl:for-each>
									<xsl:if test="./detallista:rateOfChange">
										<xsl:element name="rateOfChange">
											<xsl:value-of select="./detallista:rateOfChange"/>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:for-each>
							<xsl:if test="./detallista:paymentTerms">
								<xsl:element name="paymentTerms">
									<xsl:if test="./detallista:paymentTerms/@paymentTermsEvent">
										<xsl:attribute name="paymentTermsEvent">
											<xsl:value-of select="./detallista:paymentTerms/@paymentTermsEvent"/>
										</xsl:attribute>
									</xsl:if>
									<xsl:if test="./detallista:paymentTerms/@PaymentTermsRelationTime">
										<xsl:attribute name="PaymentTermsRelationTime">
											<xsl:value-of select="./detallista:paymentTerms/@PaymentTermsRelationTime"/>
										</xsl:attribute>
									</xsl:if>
									<xsl:if test="./detallista:paymentTerms/detallista:netPayment">
										<xsl:element name="netPayment">
											<xsl:attribute name="netPaymentTermsType">
												<xsl:value-of select="./detallista:paymentTerms/detallista:netPayment/@netPaymentTermsType"/>
											</xsl:attribute>
											<xsl:if test="./detallista:paymentTerms/detallista:netPayment/detallista:paymentTimePeriod">
												<xsl:element name="paymentTimePeriod">
													<xsl:element name="timePeriodDue">
														<xsl:attribute name="timePeriod">
															<xsl:value-of select="./detallista:paymentTerms/detallista:netPayment/detallista:paymentTimePeriod/detallista:timePeriodDue/@timePeriod"/>
														</xsl:attribute>
														<xsl:element name="value">
															<xsl:value-of select="./detallista:paymentTerms/detallista:netPayment/detallista:paymentTimePeriod/detallista:timePeriodDue/detallista:value"/>
														</xsl:element>
													</xsl:element>
												</xsl:element>
											</xsl:if>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:if>
							<xsl:if test="./detallista:shipmentDetail">
								<xsl:element name="shipmentDetail">
									<xsl:value-of select="./detallista:shipmentDetail"/>
								</xsl:element>
							</xsl:if>
							<xsl:for-each select="./detallista:allowanceCharge">
								<xsl:element name="allowanceCharge">
									<xsl:attribute name="allowanceChargeType">
										<xsl:value-of select="@allowanceChargeType"/>
									</xsl:attribute>
									<xsl:attribute name="settlementType">
										<xsl:value-of select="@settlementType"/>
									</xsl:attribute>
									<xsl:if test="@sequenceNumber">
										<xsl:attribute name="sequenceNumber">
											<xsl:value-of select="@sequenceNumber"/>
										</xsl:attribute>
									</xsl:if>
									<xsl:if test="./detallista:specialServicesType">
										<xsl:element name="specialServicesType">
											<xsl:value-of select="./detallista:specialServicesType"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="./detallista:monetaryAmountOrPercentage">
										<xsl:element name="monetaryAmountOrPercentage">
											<xsl:if test="./detallista:monetaryAmountOrPercentage/detallista:rate">
												<xsl:element name="rate">
													<xsl:attribute name="base">
														<xsl:value-of select="./detallista:monetaryAmountOrPercentage/detallista:rate/@base"/>
													</xsl:attribute>
													<xsl:element name="percentage">
														<xsl:value-of select="./detallista:monetaryAmountOrPercentage/detallista:rate/detallista:percentage"/>
													</xsl:element>
												</xsl:element>
											</xsl:if>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:for-each>
							<xsl:for-each select="./detallista:lineItem">
								<xsl:element name="lineItem">
									<xsl:if test="@type">
										<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
									</xsl:if>
									<xsl:if test="@number">
										<xsl:attribute name="number"><xsl:value-of select="@number"/></xsl:attribute>
									</xsl:if>
									<xsl:element name="tradeItemIdentification">
										<xsl:element name="gtin">
											<xsl:value-of select="./detallista:tradeItemIdentification/detallista:gtin"/>
										</xsl:element>
									</xsl:element>
									<xsl:if test="./detallista:alternateTradeItemIdentification">
										<xsl:element name="alternateTradeItemIdentification">
											<xsl:attribute name="type"><xsl:value-of select="./detallista:alternateTradeItemIdentification/@type"/></xsl:attribute>
										</xsl:element>
									</xsl:if>
									<xsl:if test="./detallista:tradeItemDescriptionInformation">
										<xsl:element name="tradeItemDescriptionInformation">
											<xsl:if test="./detallista:tradeItemDescriptionInformation/@language">
												<xsl:attribute name="language"><xsl:value-of select="./detallista:tradeItemDescriptionInformation/@language"/></xsl:attribute>
											</xsl:if>
											<xsl:element name="longText">
												<xsl:value-of select="./detallista:tradeItemDescriptionInformation/detallista:longText"/>
											</xsl:element>
										</xsl:element>
									</xsl:if>
									<xsl:element name="invoicedQuantity">
										<xsl:attribute name="unitOfMeasure"><xsl:value-of select="./detallista:invoicedQuantity/@unitOfMeasure"/></xsl:attribute>
										<xsl:value-of select="./detallista:invoicedQuantity"/>
									</xsl:element>
									<xsl:if test="./detallista:grossPrice">
										<xsl:element name="grossPrice">
											<xsl:element name="Amount">
												<xsl:value-of select="./detallista:grossPrice/detallista:Amount"/>
											</xsl:element>
										</xsl:element>
									</xsl:if>
									<xsl:if test="./detallista:netPrice">
										<xsl:element name="netPrice">
											<xsl:element name="Amount">
												<xsl:value-of select="./detallista:netPrice/detallista:Amount"/>
											</xsl:element>
										</xsl:element>
									</xsl:if>
									<xsl:for-each select="./detallista:tradeItemTaxInformation">
										<xsl:element name="tradeItemTaxInformation">
											<xsl:element name="taxTypeDescription">
												<xsl:value-of select="./detallista:taxTypeDescription"/>
											</xsl:element>
											<xsl:if test="./detallista:tradeItemTaxAmount">
												<xsl:element name="tradeItemTaxAmount">
													<xsl:element name="taxPercentage">
														<xsl:value-of select="./detallista:tradeItemTaxAmount/detallista:taxPercentage"/>
													</xsl:element>
													<xsl:element name="taxAmount">
														<xsl:value-of select="./detallista:tradeItemTaxAmount/detallista:taxAmount"/>
													</xsl:element>
												</xsl:element>
											</xsl:if>
										</xsl:element>
									</xsl:for-each>
									<xsl:element name="totalLineAmount">
										<xsl:if test="./detallista:totalLineAmount/detallista:grossAmount">
											<xsl:element name="grossAmount">
												<xsl:element name="Amount">
													<xsl:value-of select="./detallista:totalLineAmount/detallista:grossAmount/detallista:Amount"/>
												</xsl:element>
											</xsl:element>
										</xsl:if>
										<xsl:element name="netAmount">
											<xsl:element name="Amount">
												<xsl:value-of select="./detallista:totalLineAmount/detallista:netAmount/detallista:Amount"/>
											</xsl:element>
										</xsl:element>
									</xsl:element>
								</xsl:element>
							</xsl:for-each>
							<xsl:if test="./detallista:totalAmount">
								<xsl:element name="totalAmount">
									<xsl:element name="Amount"><xsl:value-of select="./detallista:totalAmount/detallista:Amount"/></xsl:element>
								</xsl:element>
							</xsl:if>
							<xsl:if test="./detallista:TotalAllowanceCharge">
								<xsl:element name="TotalAllowanceCharge">
									<xsl:attribute name="allowanceOrChargeType">
										<xsl:value-of select="./detallista:TotalAllowanceCharge/@allowanceOrChargeType"/>
									</xsl:attribute>
									<xsl:if test="./detallista:TotalAllowanceCharge/detallista:specialServicesType">
										<xsl:element name="specialServicesType">
											<xsl:value-of select="./detallista:TotalAllowanceCharge/detallista:specialServicesType"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="./detallista:TotalAllowanceCharge/detallista:Amount">
										<xsl:element name="Amount">
											<xsl:value-of select="./detallista:TotalAllowanceCharge/detallista:Amount"/>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:if>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:if>
			<!-- Complemento Donatarias -->
			<xsl:if test="./cfdi:Complemento/donat:Donatarias">
				<xsl:element name="Complemento">
					<xsl:for-each select="./cfdi:Complemento/donat:Donatarias">
						<xsl:element name="Donatarias">
							<xsl:attribute name="version"><xsl:value-of select="@version"/></xsl:attribute>
							<xsl:attribute name="noAutorizacion"><xsl:value-of select="@noAutorizacion"/></xsl:attribute>
							<xsl:attribute name="fechaAutorizacion"><xsl:value-of select="@fechaAutorizacion"/></xsl:attribute>
							<xsl:attribute name="leyenda"><xsl:value-of select="@leyenda"/></xsl:attribute>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:if>
			<!-- Complemento Divisas -->
			<xsl:if test="./cfdi:Complemento/divisas:Divisas">
				<xsl:element name="Complemento">
					<xsl:element name="Divisas">
						<xsl:copy-of select="./cfdi:Complemento/divisas:Divisas/@*"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<!-- Complemento Impuestos Locales -->
			<xsl:if test="./cfdi:Complemento/implocal:ImpuestosLocales">
				<xsl:element name="Complemento">
					<xsl:element name="ImpuestosLocales">
						<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/@version"/>
						<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/@TotaldeRetenciones"/>
						<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/@TotaldeTraslados"/>
						<xsl:if test="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:RetencionesLocales">
							<xsl:element name="RetencionesLocales">
								<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:RetencionesLocales/@ImpLocRetenido"/>
								<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:RetencionesLocales/@TasadeRetencion"/>
								<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:RetencionesLocales/@Importe"/>
							</xsl:element>
						</xsl:if>
						<xsl:if test="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:TrasladosLocales">
							<xsl:element name="TrasladosLocales">
								<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:TrasladosLocales/@ImpLocTrasladado"/>
								<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:TrasladosLocales/@TasadeTraslado"/>
								<xsl:copy-of select="./cfdi:Complemento/implocal:ImpuestosLocales/implocal:TrasladosLocales/@Importe"/>
							</xsl:element>
						</xsl:if>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:if test="./cfdi:Addenda">
				<xsl:apply-templates select="./cfdi:Addenda"/>
			</xsl:if>
		</xsl:element>	
		<xsl:element name="Transaccion">
			<xsl:attribute name="id">
				<xsl:value-of select="concat(/cfdi:Comprobante/@serie,/cfdi:Comprobante/@folio)"/>
			</xsl:attribute>
		</xsl:element>
		<xsl:element name="TipoComprobante">
			<xsl:attribute name="nombre">
				<xsl:value-of select="/cfdi:Comprobante/cfdi:Addenda/C2KAdicionales/Comprobante/@tipoComprobante"/>
			</xsl:attribute>
		</xsl:element>
		<xsl:element name="Sucursal">
			<xsl:attribute name="nombre">
				<xsl:value-of select="/cfdi:Comprobante/cfdi:Addenda/C2KAdicionales/Emisor/Sucursal/@nombre"/>
			</xsl:attribute>
		</xsl:element>
		<xsl:element name="Receptor">
			<xsl:if test="/cfdi:Comprobante/cfdi:Addenda/C2KAdicionales/Receptor/@email !=''">
				<xsl:attribute name="emailReceptor">
					<xsl:value-of select="/cfdi:Comprobante/cfdi:Addenda/C2KAdicionales/Receptor/@email"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="codigoReceptor">
				<xsl:value-of select="/cfdi:Comprobante/cfdi:Addenda/C2KAdicionales/Receptor/@clave"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:element>	
	</xsl:element>
</xsl:element>
</xsl:template>


<!-- Manejador de nodos tipo Addenda -->
<xsl:template match="cfdi:Addenda">
	<xsl:variable name="noAddendas" select="count(node()[name() != 'C2KAdicionales'])"/>
	<xsl:if test="$noAddendas &gt; 0">
		<xsl:element name="Addenda">
			<xsl:element name="AddendaReceptor">
				<xsl:for-each select="node()">
					<xsl:if test="name() != 'C2KAdicionales'">
						<xsl:copy-of select="."/>
					</xsl:if>	
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:if>
</xsl:template>
<!-- Manejador de nodos tipo Domicilio -->
<xsl:template name="Domicilio">
	<xsl:param name="Nodo"/>
	<!-- Iniciamos el tratamiento de los atributos del Domicilio  -->
	<xsl:if test="$Nodo/@calle !=''">
		<xsl:attribute name="calle">
			<xsl:value-of select="$Nodo/@calle"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:if test="$Nodo/@noExterior !=''">
		<xsl:attribute name="noExterior">
			<xsl:value-of select="$Nodo/@noExterior"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:if test="$Nodo/@noInterior !=''">
		<xsl:attribute name="noInterior">
			<xsl:value-of select="$Nodo/@noInterior"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:if test="$Nodo/@colonia !=''">
		<xsl:attribute name="colonia">
			<xsl:value-of select="$Nodo/@colonia"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:if test="$Nodo/@localidad !=''">
		<xsl:attribute name="localidad">
			<xsl:value-of select="$Nodo/@localidad"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:if test="$Nodo/@referencia !=''">
		<xsl:attribute name="referencia">
			<xsl:value-of select="$Nodo/@referencia"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:if test="$Nodo/@municipio !=''">
		<xsl:attribute name="municipio">
			<xsl:value-of select="$Nodo/@municipio"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:if test="$Nodo/@estado !=''">
		<xsl:attribute name="estado">
			<xsl:value-of select="$Nodo/@estado"/>
		</xsl:attribute>
	</xsl:if>
	<xsl:attribute name="pais"><xsl:value-of select="$Nodo/@pais"/></xsl:attribute>
	<xsl:if test="$Nodo/@codigoPostal !=''">
		<xsl:attribute name="codigoPostal">
			<xsl:value-of select="$Nodo/@codigoPostal"/>
		</xsl:attribute>
	</xsl:if>
</xsl:template>
</xsl:stylesheet>